{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };
  outputs = { self, nixpkgs, ... }: {
    packages.x86_64-linux = let
      pkgs = import nixpkgs {
        system = "x86_64-linux";
      };
    in {
      fuedra-schwitzt = pkgs.rustPlatform.buildRustPackage rec {
        pname = "fuedra-schwitzt";
        version = "0.1.0";

        src = ./.;

        cargoLock.lockFile = ./Cargo.lock;

      };
      default = self.packages.x86_64-linux.fuedra-schwitzt;
    };

    apps.x86_64-linux = {
      fuedra-schwitzt = {
        type = "app";
        program = self.packages.x86_64-linux.fuedra-schwitzt + "/bin/fuedra-schwitzt";
      };
      default = self.apps.x86_64-linux.fuedra-schwitzt;
    };

    hydraJobs = {
      inherit (self)
        packages;
    };
  };
}

