fn escape(s: String) -> String {
    format!("\x1b[{}", s)
}

pub fn reset() -> String {
    escape("0m".to_string())
}

pub fn color(r: u8, g: u8, b: u8) -> String {
    escape(format!("38;2;{};{};{}m", r, g, b))
}

pub fn cursor_up(lines: u32) -> String {
    escape(format!("{}A", lines))
}
