pub struct ValuePairs<I: Iterator> {
    iter: I,
}

impl<I: Iterator> ValuePairs<I> {
    pub fn new(iter: I) -> ValuePairs<I> {
        ValuePairs { iter }
    }
}


impl<I: Iterator> Iterator for ValuePairs<I> {
    type Item = (I::Item, I::Item);
    fn next(&mut self) -> Option<Self::Item> {
        Some((self.iter.next()?, self.iter.next()?))
    }
}
